Package: org.gradle

## [Java] Class BuildResult

- org.gradle.BuildResult

- A `BuildResult` packages up the results of a build executed by a org.gradle.initialization.GradleLauncher instance.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BuildResult (Gradle gradle, Throwable failure)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Throwable` | `getFailure()`
    `Gradle` | `getGradle()`
    `BuildResult` | `rethrowFailure()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public BuildResult(Gradle gradle, Throwable failure)

  - ### Method Detail

    - #### public Throwable getFailure()

    - #### public Gradle getGradle()

    - #### public BuildResult rethrowFailure()

      Rethrows the build failure. Does nothing if there was no build failure.